package com.hw.mes.api.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 物料信息对象 mes_base_material_info
 *
 * @author xins
 * @date 2023-12-21
 */
public class MesBaseMaterialInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long materialId;

    /** 物料编码 */
    @Excel(name = "物料编码")
    private String materialCode;

    /** 物料名称 */
    @Excel(name = "物料名称")
    private String materialName;

    /** 物料大类(1,原材料 2,半成品 3,成品) */
    @Excel(name = "物料大类(1,原材料 2,半成品 3,成品)")
    private String materialCategories;

    /** 物料小类;暂时不使用，预留 */
    @Excel(name = "物料小类;暂时不使用，预留")
    private String materialSubclass;

    /** 物料类型，关联mes_base_material_type的material_type_id */
    @Excel(name = "物料类型，关联mes_base_material_type的material_type_id")
    private Long materialTypeId;

    /** 计量单位 */
    @Excel(name = "计量单位")
    private String materialUnit;

    /** 物料组 */
    @Excel(name = "物料组")
    private String materialMatkl;

    /** 物料规格 */
    @Excel(name = "物料规格")
    private String materialSpec;

    /** 所属工厂，关联mes_base_factory_info的factory_id */
    @Excel(name = "所属工厂，关联mes_base_factory_info的factory_id")
    private Long factoryId;

    /** 所属产线 */
    @Excel(name = "所属产线")
    private String prodlineId;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private Long isFlag;

    /** ERP的主键(内码) */
    @Excel(name = "ERP的主键(内码)")
    private Long erpId;

    /** 删除标识(0否，1是) */
    @Excel(name = "删除标识(0否，1是)")
    private String deletedFlag;

    public void setMaterialId(Long materialId)
    {
        this.materialId = materialId;
    }

    public Long getMaterialId()
    {
        return materialId;
    }
    public void setMaterialCode(String materialCode)
    {
        this.materialCode = materialCode;
    }

    public String getMaterialCode()
    {
        return materialCode;
    }
    public void setMaterialName(String materialName)
    {
        this.materialName = materialName;
    }

    public String getMaterialName()
    {
        return materialName;
    }
    public void setMaterialCategories(String materialCategories)
    {
        this.materialCategories = materialCategories;
    }

    public String getMaterialCategories()
    {
        return materialCategories;
    }
    public void setMaterialSubclass(String materialSubclass)
    {
        this.materialSubclass = materialSubclass;
    }

    public String getMaterialSubclass()
    {
        return materialSubclass;
    }
    public void setMaterialTypeId(Long materialTypeId)
    {
        this.materialTypeId = materialTypeId;
    }

    public Long getMaterialTypeId()
    {
        return materialTypeId;
    }
    public void setMaterialUnit(String materialUnit)
    {
        this.materialUnit = materialUnit;
    }

    public String getMaterialUnit()
    {
        return materialUnit;
    }
    public void setMaterialMatkl(String materialMatkl)
    {
        this.materialMatkl = materialMatkl;
    }

    public String getMaterialMatkl()
    {
        return materialMatkl;
    }
    public void setMaterialSpec(String materialSpec)
    {
        this.materialSpec = materialSpec;
    }

    public String getMaterialSpec()
    {
        return materialSpec;
    }
    public void setFactoryId(Long factoryId)
    {
        this.factoryId = factoryId;
    }

    public Long getFactoryId()
    {
        return factoryId;
    }
    public void setProdlineId(String prodlineId)
    {
        this.prodlineId = prodlineId;
    }

    public String getProdlineId()
    {
        return prodlineId;
    }
    public void setIsFlag(Long isFlag)
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag()
    {
        return isFlag;
    }
    public void setErpId(Long erpId)
    {
        this.erpId = erpId;
    }

    public Long getErpId()
    {
        return erpId;
    }
    public void setDeletedFlag(String deletedFlag)
    {
        this.deletedFlag = deletedFlag;
    }

    public String getDeletedFlag()
    {
        return deletedFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("materialId", getMaterialId())
            .append("materialCode", getMaterialCode())
            .append("materialName", getMaterialName())
            .append("materialCategories", getMaterialCategories())
            .append("materialSubclass", getMaterialSubclass())
            .append("materialTypeId", getMaterialTypeId())
            .append("materialUnit", getMaterialUnit())
            .append("materialMatkl", getMaterialMatkl())
            .append("materialSpec", getMaterialSpec())
            .append("factoryId", getFactoryId())
            .append("prodlineId", getProdlineId())
            .append("isFlag", getIsFlag())
            .append("erpId", getErpId())
            .append("deletedFlag", getDeletedFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
